package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum CourseGroupEnum implements BaseEnum<String,CourseGroupEnum> {
    ING("进行中"),//课程已开始进行中
    COMPLETE( "已完成"),//课程组课程全部完成
    DISSOLVE( "未成课"),//解散课程
    CANCEL("已取消"),//课程已取消
    APPLY("报名中"),//开售中可以报名
    NOT_SALE( "未开售"),//还未到开售日期
    OUT_SALE( "下架"),//下架


    ;
    @EnumValue
    private String code;

    private String msg;

    CourseGroupEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

}
